// (C) 2020-2024 GoodData Corporation
import isEmpty from "lodash/isEmpty.js";
/**
 * @public
 */
export function isObjIdentifierQualifier(qualifier) {
    return !isEmpty(qualifier) && qualifier.identifier !== undefined;
}
/**
 * @public
 */
export function isObjectUriQualifier(qualifier) {
    return !isEmpty(qualifier) && qualifier.uri !== undefined;
}
/**
 * @public
 */
export function isLocalIdentifierQualifier(qualifier) {
    return !isEmpty(qualifier) && qualifier.localIdentifier !== undefined;
}
//# sourceMappingURL=legacyTypes.js.map